**VALVE CORPORATION**
**STEAM&reg; AUDIO SDK LICENSE**

This STEAM&reg; AUDIO SDK License (the "Agreement") is made by and between you (the "Licensee" or “You”) and VALVE CORPORATION, a corporation organized under the laws of the state of Washington, U.S.A. ("Valve"), with offices located in Bellevue, Washington, U.S.A.

**BY USING OR DOWNLOADING THE STEAM AUDIO SOFTWARE DEVELOPMENT KIT IN SOURCE CODE OR OBJECT CODE FORM OR ANY UPDATE THERETO (THE “SDK”), YOU AGREE TO BE BOUND BY THIS AGREEMENT.**

&nbsp; Whereas, Valve is the developer of the SDK;

&nbsp; Whereas, Licensee wishes to develop interactive digital content (“Licensee Product”) using the SDK;

&nbsp; Whereas, Licensee wishes to receive, and Valve wishes to disclose to Licensee the SDK and other information as deemed appropriate by Valve, all on the terms set forth herein;

&nbsp; Now, therefore, in consideration of the mutual promises made herein, the parties agree as follows:

**1. License.**

&nbsp; 1.1 *License Grant*. Valve hereby grants Licensee a nonexclusive, royalty-free, worldwide, nontransferable license to:

&nbsp; &nbsp; (a) use, reproduce and modify the SDK solely to develop Licensee Product using the Steam Audio SDK;

&nbsp; &nbsp; (b) reproduce, distribute and license the Licensee Product including the SDK; and

&nbsp; &nbsp; (c) reproduce and distribute exact copies of the SDK without charge, in the same form and with all associated files that the SDK is received by Licensee pursuant to this Agreement, provided that Licensee will: (1) only distribute copies of the SDK with this Agreement included and subject to the receiving party agreeing to the terms of this Agreement; and (2) preserve in all copies of the SDK all copyright and legal notices that are attached to the copy of the SDK received by Licensee pursuant to this Agreement.

&nbsp; 1.2 *Restrictions*. Licensee shall not, in whole or in part, reverse engineer, derive source code from, modify, disassemble, or decompile any object code files, or remove any proprietary notices or labels in the SDK without the prior consent, in writing, of Valve.

&nbsp; 1.3 *Updates*. Valve may from time to time, in its sole discretion, provide updates, error corrections, and future versions of the SDK to Licensee. Upon delivery, such updates, error corrections and future versions shall be deemed part of the SDK, as applicable, under this Agreement.

&nbsp; 1.4 *Reservation of Rights*. Valve reserves all rights not explicitly granted herein.

&nbsp; 1.5 *Indemnity*. Licensee hereby agrees that it is solely responsible for any and all Licensee Product and Licensee’s creation, distribution, and promotion thereof. Licensee shall defend, indemnify, and hold harmless Valve, its officers, directors, employees and agents against any and all claims, damages, losses, or liabilities whatsoever arising out of Licensee’s creation, distribution, or promotion of the Licensee Product.

&nbsp; 1.6 *Trademarks*. Licensee agrees to place the following notices in the credits for any Licensee Product (replacing xxxx with the current year):

&nbsp; “\[Product name\] uses the Steam&reg; Audio SDK. Steam&reg; is a trademark or registered trademark of Valve Corporation in the United States of America and elsewhere”

&nbsp; “Steam&reg; Audio, Copyright 2017 – xxxx, Valve Corp. All rights reserved.”

&nbsp; Logo artwork for credits and marketing use is available upon request to <SteamBranding@valvesoftware.com>. Licensee acknowledges and agrees that this Agreement does not otherwise grant Licensee any right to use any trademarks or trade names of Valve or its suppliers. All such marks shall remain the property of the respective owner.

&nbsp; 1.7 *Your Contributions*. By submitting code or other modifications for inclusion into the Steam Audio main branch (each such submission a “Contribution”) you grant Valve a non-exclusive, fully-paid, irrevocable, transferable, sublicensable license to reproduce, distribute, publicly perform, publicly display, make, use, have made, sell, offer to sell, import, modify and make derivative works based on, and otherwise exploit that Contribution for all current and future methods and forms of exploitation in any country.  If any of those rights may not be assigned or licensed under applicable law (such as moral and other personal rights), you hereby waive and agree not to assert all of those rights.  For the avoidance of doubt, you may continue to use, in any manner consistent with this Agreement, any Contribution that you make available to Valve. You agree that if Valve makes use of your Contribution, Valve is not required to credit or compensate you for your Contribution. You represent and warrant that you have have no knowledge of any third party rights in your Contribution that would affect the validity of your license to Valve or Valve’s ability to use the Contribution.


**2. Term.**

&nbsp; 2.1 *Term of the License*. This Agreement will continue in perpetuity unless terminated as described herein. You may terminate the Agreement at any time by providing notice to Valve. Valve may terminate the Agreement by providing written notice (including email) if you materially breach any provision of this Agreement and the breach is not curable or, if it is curable, you fail to cure the breach within thirty (30) days of notice of the breach from Valve.

&nbsp; 2.2 *Termination for Patent Action*. The Agreement will terminate automatically as of the date you commence any claim that technology included in the SDK infringes a patent, or otherwise support any claim by a third party that the technology included in the SDK infringes a patent.

&nbsp; 2.3 *Effect of Termination*. Upon any termination, the licenses granted under section 1. above will automatically terminate, you may no longer exercise any of the rights granted to you under this Agreement, and you must destroy all copies of the SDK in your possession and cease distributing any Licensee Products developed under this Agreement. Within 30 days of termination, unless otherwise agreed by Valve, you must destroy all Licensee Products in your inventory.

&nbsp; 2.4 *Survival*. Sections 1.5, 1.6, 2.1, 2.2, 2.3, and 3-5 shall survive any expiration or termination of this Agreement.

**3. Disclaimer of Warranties; Limitation of Liability**

&nbsp; 3.1 *NO WARRANTIES*. VALVE AND ITS SUPPLIERS DISCLAIM ALL WARRANTIES WITH RESPECT TO THE SDK, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

&nbsp; 3.2 *LIMITATION OF LIABILITY*. IN NO EVENT SHALL VALVE OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SDK, EVEN IF VALVE OR THE SUPPLIERS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

**4. Export Compliance.**

&nbsp; You agree to comply with all applicable federal and foreign laws, regulations, and rules, and complete any required undertakings. You will obtain any necessary export license or other governmental approval prior to accessing, downloading, exporting, re-exporting, or releasing the SDK. You represent and warrant that you do not appear on any United States list of prohibited or restricted parties (including the Specially Designated Nationals List).

**5. General.**

&nbsp; 5.1 *Licensee Modification*. No amendment or Licensee modification of this Agreement shall be valid or binding on the parties unless made in writing and signed on behalf of both of the parties by their respective duly authorized officers or representatives.

&nbsp; 5.2 *Assignment*. Licensee may not assign this agreement without the prior written consent of Valve. Subject to the limitations set forth in this Agreement, this Agreement will inure to the benefit of and be binding upon the parties, their successors and assigns.

&nbsp; 5.3 *Severability*. If any provision of this Agreement shall be held by a court of competent jurisdiction to be illegal, invalid or unenforceable, the remaining provisions shall remain in full force and effect.

&nbsp; 5.4 *Governing Law, Jurisdiction and Venue*. This Agreement shall be governed by the laws of the State of Washington, U.S.A. Each of the parties hereto submits to jurisdiction and venue in the state and federal courts sitting in King County, Washington, U.S.A.

&nbsp; 5.5 *Entire Agreement*. This Agreement constitutes the entire understanding between the parties hereto and supersedes all previous communications, representations and understandings, oral or written, between the parties, with respect to the subject matter of this Agreement.